#!/bin/bash

# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

AddKeys() {
    RUN_SSH_AGENT=1

    if [ -z "${1}" ]; then
        let RUN_SSH_AGENT=-1
    fi

    if [ $RUN_SSH_AGENT = 1 ]; then
        eval `ssh-agent`
        ssh-add $1
    fi
}

StopSSHAgent() {
    if [ $RUN_SSH_AGENT = 1 ]; then
        kill $SSH_AGENT_PID
    fi
}