ALTER TABLE projects ADD COLUMN "is_private" boolean NOT NULL default FALSE;
ALTER TABLE projects ADD COLUMN "owner_id" integer REFERENCES "auth_user" ("id") DEFERRABLE INITIALLY DEFERRED;
ALTER TABLE projects ADD CONSTRAINT "private_project_requires_owner" CHECK (is_private IS FALSE OR owner_id IS NOT NULL);
CREATE TABLE "projects_access_groups" (
	    "id" serial NOT NULL PRIMARY KEY,
	    "project_id" varchar(200) NOT NULL,
	    "accessgroup_id" integer NOT NULL REFERENCES "django_group_access_accessgroup" ("id") DEFERRABLE INITIALLY DEFERRED,
	    UNIQUE ("project_id", "accessgroup_id")
);
ALTER TABLE "projects_access_groups" ADD CONSTRAINT "project_id_refs_name_44bd562d" FOREIGN KEY ("project_id") REFERENCES "projects" ("name") DEFERRABLE INITIALLY DEFERRED;
